/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.test.information.material.entity;

import com.jeeplus.core.persistence.DataEntity;

/**
 * 项目信息Entity
 * @author qiuyue
 * @version 2019-09-04
 */
public class Material extends DataEntity<Material>  {
    //项目编号
    private String projectId;
    //物料编号
    private String inforId;
    //物料描述
    private String materialName;
    //出库金额
    private Double outboundAmount;
    //审定金额
    private Double authorizedAmount;
    //差额
    private Double difference;
    //出库数量
    private Double outboundNumber;
    //审定数量
    private Double authorizedNumber;
    //平均价单价
    private Double price;
    //单位
    private String unit;
    //物料小类
    private String materialSmall;
    //物料中类
    private String materialMid;
    //物料大类
    private String materialBig;
    //是否完成领退料
    private String isBack;
    //原因类型
    private String status;
    //备注说明
    private String info;

    public String getIsBack() {
        return isBack;
    }

    public void setIsBack(String isBack) {
        this.isBack = isBack;
    }

    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    public String getInforId() {
        return inforId;
    }

    public void setInforId(String inforId) {
        this.inforId = inforId;
    }

    public String getMaterialName() {
        return materialName;
    }

    public void setMaterialName(String materialName) {
        this.materialName = materialName;
    }

    public Double getOutboundAmount() {
        return outboundAmount;
    }

    public void setOutboundAmount(Double outboundAmount) {
        this.outboundAmount = outboundAmount;
    }

    public Double getAuthorizedAmount() {
        return authorizedAmount;
    }

    public void setAuthorizedAmount(Double authorizedAmount) {
        this.authorizedAmount = authorizedAmount;
    }

    public Double getDifference() {
        return difference;
    }

    public void setDifference(Double difference) {
        this.difference = difference;
    }

    public Double getOutboundNumber() {
        return outboundNumber;
    }

    public void setOutboundNumber(Double outboundNumber) {
        this.outboundNumber = outboundNumber;
    }

    public Double getAuthorizedNumber() {
        return authorizedNumber;
    }

    public void setAuthorizedNumber(Double authorizedNumber) {
        this.authorizedNumber = authorizedNumber;
    }

    public Double getPrice() {
        return price;
    }

    public void setPrice(Double price) {
        this.price = price;
    }

    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    public String getMaterialSmall() {
        return materialSmall;
    }

    public void setMaterialSmall(String materialSmall) {
        this.materialSmall = materialSmall;
    }

    public String getMaterialMid() {
        return materialMid;
    }

    public void setMaterialMid(String materialMid) {
        this.materialMid = materialMid;
    }

    public String getMaterialBig() {
        return materialBig;
    }

    public void setMaterialBig(String materialBig) {
        this.materialBig = materialBig;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getInfo() {
        return info;
    }

    public void setInfo(String info) {
        this.info = info;
    }
}