/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.test.information.mapper;

import com.jeeplus.core.persistence.BaseMapper;
import com.jeeplus.core.persistence.annotation.MyBatisMapper;
import com.jeeplus.modules.test.information.entity.Information;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 项目管理MAPPER接口
 * @author
 * @version
 */
@MyBatisMapper
public interface InformationMapper extends BaseMapper<Information> {
    List<Information> findAllInformationList();

    int updateInformationDate(Information information);

    Information findInformationByID(Information information);
}